<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ReportWaypoint extends Model
{
  public function report()
  {
      return $this->belongsTo(Report::class);
  }

  public function type()
  {
      return $this->belongsTo(Type::class)->withTrashed();
  }

  public function billing()
  {
      return $this->belongsTo(Billing::class)->withTrashed();
  }

}
